<template>
  <div>
    <pdf :src="url"></pdf>
  </div>
</template>

<script>
import pdf from 'vue-pdf';
export default {
  components: {
    pdf,
  },
  data() {
    return {
      url: '',
    };
  },
  created() {
    this.onInit();
    console.log('pdf');
  },
  methods: {
    onInit() {
      this.onLoadData();
    },
    onLoadData() {
      console.log(this.$route.params);
      this.url = this.$route.params.url;
    },
  },
};
</script>